<?php

// Informations  propos de votre mod.
$mod_title      = 'Biographile';
$mod_version    = '1.0';
$release_date   = '24/03/2007';
$author         = 'BN [http://la-bnbox.info]';
$author_email   = 'bnmaster@la-bnbox.info';

// Reglez cela  FALSE si vous n'avez pas implment une fonction de restauration (voir plus bas)
$mod_restore	=	true;


/***********************************************************************\
 The install function 
\***********************************************************************/

function install()
{
	global $lang, $db, $db_type;

		switch ($db_type)
		{
			case 'mysql':
			case 'mysqli':
				$sql = 'ALTER TABLE '.$db->prefix.'users '.
				'ADD biographie TEXT NOT NULL ';
				break;
			
			case 'pgsql':
				$sql = 'ALTER TABLE '.$db->prefix.'users '.
				'ADD biographie TEXT NOT NULL ';
				break;
			
			case 'sqlite':
				$sql = 'ALTER TABLE '.$db->prefix.'users '.
				'ADD biographie TEXT NOT NULL ';
				break;
		}
		$db->query($sql) or error(sprintf($lang['err_3'], $db->prefix.'users'), __FILE__, __LINE__, $db->error());

	// delete everything in the cache since we messed with some stuff
	$d = dir(PUN_ROOT.'cache');
	while (($entry = $d->read()) !== false)
	{
		if (substr($entry, strlen($entry)-4) == '.php')
			@unlink(PUN_ROOT.'cache/'.$entry);
	}
	$d->close();	
}


/***********************************************************************\
 The restore function 
\***********************************************************************/

function restore()
{
	global $lang, $db, $db_type;
	
	$errors = array();

	if (!$db->query('ALTER TABLE '.$db->prefix.'users DROP biographie;'))
		$errors[] = sprintf($lang['err_5'], $db->prefix.'users =&gt; biographie');

	// delete everything in the cache since we messed with some stuff
	$d = dir(PUN_ROOT.'cache');
	while (($entry = $d->read()) !== false)
	{
		if (substr($entry, strlen($entry)-4) == '.php')
			@unlink(PUN_ROOT.'cache/'.$entry);
	}
	$d->close();	
	
	if (!empty($errors))
		error('<ul><li>'.implode('</li><li>',$errors).'</li></ul>', '', '');
}


/***********************************************************************\
 Languages definitions
\***********************************************************************/

$english_array = array(
'err_1' => 'Unable to access to the configuration',
'err_2' => 'Unable to create table %s',
'err_3' => 'Unable to insert in table %s',
'err_4' => 'Unable to add column to the table %s',
'err_5' => 'Unable to delete %s ; please remove manually',
'err_6' => 'You are running a version of PunBB (%s) that this mod does not support. This mod supports PunBB versions: %s',

'install_mod_x' => '%s installation',
'install_mod' => 'Mod installation',

'mod_title' => 'Mod title:',
'mod_author' => 'Author:',
'disclaimer' => 'Disclaimer:',

'install_mod_p1' => 'This script will update your database to work with the following modification:',
'install_mod_p2' => 'Mods are not officially supported by PunBB. Mods generally can\'t be uninstalled without running SQL queries manually against the database. Make backups of all data you deem necessary before installing.',
'install_mod_p3' => 'If you\'ve previously installed this mod and would like to uninstall it, you can click the restore button below to restore the database.',

'install' => 'Install',
'restore' => 'Restore',

'install_success' => 'Installation successful',
'install_success_info' => 'Your database has been successfully prepared for %s. See readme.txt for further instructions.',

'restore_success' => 'Restore successful',
'restore_success_info' => 'Your database has been successfully restored.',

'Go back'	=> 'Go back',
);

$french_array = array(
'err_1' => 'Impossible d\'accder  la configuration',
'err_2' => 'Impossible de crer la table %s',
'err_3' => 'Impossible d\'insrer dans la table %s',
'err_4' => 'Impossible d\'ajouter des colonnes  la table %s',
'err_5' => 'Impossible de supprimer %s ; veuillez supprimer manuellement.',
'err_6' => 'Vous utilisez une version de PunBB (%s) que cette mod ne prend pas en charge. Cette mod supporte les versions %s de PunBB',

'install_mod_x' => 'Installation %s',
'install_mod' => 'Installation mod',

'mod_title' => 'Titre mod&nbsp;:',
'mod_author' => 'Auteur&nbsp;:',
'disclaimer' => 'Disclaimer&nbsp;:',

'install_mod_p1' => 'Ce script va mettre  jour votre base de donnes afin qu\'elle puisse fonctionner avec la modification suivante&nbsp;:',
'install_mod_p2' => 'Veuillez noter que les mods ne sont pas officiellement supportes par PunBB. Vous ne pouvez gnralement pas dsinstaller compltement les mods sans lancer manuellement des requtes  la base de donnes. N\'oubliez pas de sauvegarder la base de donnes et les fichiers affects avant de procder  l\'installation. Vous tes le seul et unique responsable des ventuels domages que pourrait engendrer l\'installation de la mod. Vous effectuez cette modification  vos risques et prils.',
'install_mod_p3' => 'Si vous avez prcdemment install cette mod et voulez la dsinstaller, vous pouvez cliquer sur le bouton de restauration ci-dessous afin de restaurer la base de donnes.',

'install' => 'Installation',
'restore' => 'Restauration',

'install_success' => 'Installation russie',
'install_success_info' => 'Votre base de donne a t correctement prpar pour %s. Veuillez consulter le lisez_moi.txt pour les instructions complmentaires.',

'restore_success' => 'Restauration russie',
'restore_success_info' => 'Votre base de donnes  t correctement restaure.',

'Go back'	=> 'Retour',
);


/***********************************************************************\
 Running and displaying 
\***********************************************************************/

// Circumvent maintenance mode
define('PUN_TURN_OFF_MAINT', 1);
define('PUN_ROOT', './');
require PUN_ROOT.'include/common.php';

// We want the complete error message if the script fails
if (!defined('PUN_DEBUG'))
	define('PUN_DEBUG', 1);

// Set language
if ($pun_config['o_default_lang'] == 'English')
	$lang = $english_array;
elseif ($pun_config['o_default_lang'] == 'French')
	$lang = $french_array;
else
	$lang = $english_array;

// Make sure we are running a PunBB version that this mod works with
$version = explode(".", $pun_config['o_cur_version']);
if ($version[0] != 1 || $version[1] != 2)
{
	$err_str = sprintf($lang['err_6'],$pun_config['o_cur_version'], '1.2.x');
	exit($err_str);
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html dir="ltr">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title><?php printf($lang['install_mod_x'], $mod_title); ?></title>
<link rel="stylesheet" type="text/css" href="style/<?php echo $pun_config['o_default_style'].'.css' ?>" />
</head>
<body>

<div id="punwrap">
<div id="puninstall" class="pun" style="margin: 10% 20% auto 20%">

<?php

if (isset($_POST['form_sent']))
{
	if (isset($_POST['install']))
	{
		// Run the install function (defined above)
		install();
?>
<div class="block">
	<h2><span><?php echo $lang['install_success']; ?></span></h2>
	<div class="box">
		<div class="inbox">
			<p><?php printf($lang['install_success_info'],pun_htmlspecialchars($mod_title) ); ?>
			<br /><a href="javascript:history.go(-1)"><?php echo $lang['Go back'] ?></a></p>
		</div>
	</div>
</div>
<?php

	}
	else {
		// Run the restore function (defined above)
		restore();
?>
<div class="block">
	<h2><span><?php echo $lang['restore_success']; ?></span></h2>
	<div class="box">
		<div class="inbox">
			<p><?php echo $lang['restore_success_info']; ?>
			<br /><a href="javascript:history.go(-1)"><?php echo $lang['Go back'] ?></a></p>
		</div>
	</div>
</div>
<?php
	}
}
else {
?>
<div class="blockform">
	<h2><span><?php echo $lang['install_mod']; ?></span></h2>
	<div class="box">
		<form method="post" action="<?php echo $_SERVER['PHP_SELF'] ?>?foo=bar">
			<div><input type="hidden" name="form_sent" value="1" /></div>
			<div class="inform">
				<p><?php echo $lang['install_mod_p1']; ?></p>
				<p><strong><?php echo $lang['mod_title']; ?></strong> <?php echo pun_htmlspecialchars($mod_title).' '.$mod_version ?></p>
				<p><strong><?php echo $lang['mod_author']; ?></strong> <?php echo pun_htmlspecialchars($author) ?> (<a href="mailto:<?php echo pun_htmlspecialchars($author_email) ?>"><?php echo pun_htmlspecialchars($author_email) ?></a>)</p>
				<p><strong><?php echo $lang['disclaimer']; ?></strong> <?php echo $lang['install_mod_p2']; ?></p>
<?php if ($mod_restore): ?>				<p><?php echo $lang['install_mod_p3']; ?></p>
<?php endif; ?>			</div>
			<p><input type="submit" name="install" value="<?php echo $lang['install']; ?>" /><?php if ($mod_restore): ?><input type="submit" name="restore" value="<?php echo $lang['restore']; ?>" /><?php endif; ?></p>
		</form>
	</div>
</div>
<?php
}
?>

</div>
</div>

</body>
</html>