<?php
/***********************************************************************

  Copyright (C) 2007  BN (bnmaster@la-bnbox.info)

  This software is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  This software is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
  MA  02111-1307  USA

************************************************************************/

// Make sure no one attempts to run this script "directly"
if (!defined('PUN'))
    exit;

// Tell profil.php that this is indeed a plugile and that it is loaded
define('PUN_PLUGIN_LOADED', 1);
define('PLUGIN_VERSION', '1.0');
define('PLUGIN_URL', 'profile.php?plugin='.$_GET['plugin'].'&amp;id='.$_GET['id']);
define('PLUGIN_NAME', $_GET['plugin']);

/***********************************************************************\
 Languages definitions
\***********************************************************************/

$english_array = array(
'err_insert'		=> 'Error in the update of the DB',
'err_select' 		=> 'No "biographie" found',
'no_biographie'	=> 'No biography found',
'modif_success' => 'Biography update with success!',

'biographile' => 'My biography',
'biographile_info' => 'Because it\'s funny to know more about other people, you can wrote your biography here to describe yourself ;)',
'biographile_legend_1' => 'Write your biography',
'biographile_legend_2'		=> 'Previsualisation',
'biographile_submit' => 'Send',
);

$french_array = array(
'err_insert'		=> 'Problme lors de l\'ajout ou la modification de la Base de donnes',
'err_select' 		=> 'Impossible de retrouver la biographie',
'no_biographie'	=> 'Ce membre n\'a pas crit sa biographie',
'modif_success' => 'Biographie modifie avec succs !',

'biographile' => 'Ma biographie',
'biographile_info' => 'Parce que c\'est toujours plus sympa de connatre un peu mieux les personnes avec qui on discute sur un forum, vous pouvez crire votre biographie pour que les autres membres en sachent plus long sur vous ;)',
'biographile_legend_1' => 'Ecrivez votre biographie',
'biographile_legend_2'		=> 'Biographie actuelle',
'biographile_submit' => 'Envoyer',
);

// Set language
if ($pun_user['language'] == 'English')
	$lang = $english_array;
elseif ($pun_user['language'] == 'French')
	$lang = $french_array;
	

// Si le membre visite son profil, ou si le membre est administrateur
if($pun_user['id'] == $_GET['id'] OR $pun_user['g_id'] <= '2')
{
	if (isset($_POST['req_message']))
	{
		// Clean up message from POST
		$message = pun_linebreaks(pun_trim($_POST['req_message']));

		if (strlen($message) > 65535)
			$errors[] = $lang['Too long message'];
		else if ($pun_config['p_message_all_caps'] == '0' && strtoupper($message) == $message && $pun_user['g_id'] > PUN_MOD)
			$message = ucwords(strtolower($message));

		// Validate BBCode syntax
		if ($pun_config['p_message_bbcode'] == '1' && strpos($message, '[') !== false && strpos($message, ']') !== false)
		{
			require_once PUN_ROOT.'include/parser.php';
			$message = preparse_bbcode($message, $errors);
		}
		$db->query('UPDATE '.$db->prefix.'users SET biographie=\''.$db->escape($message).'\' WHERE id='.$_GET['id']) or error(sprintf($lang['err_insert'],$conf_name), __FILE__, __LINE__, $db->error());
		
		redirect(PLUGIN_URL, $lang['modif_success']);
	}
	else
	{
		generate_profile_menu(PLUGIN_NAME);
		?>
		<div id="plugile" class="blockform">
			<h2 class="block2"><span><?php echo $lang['biographile']; ?></span></h2>
			<div class="box">
				<form id="example" method="post" action="<?php echo $_SERVER['REQUEST_URI'] ?>">
					<p><?php echo $lang['biographile_info']; ?></p>
					<div class="inform">
						<fieldset>
							<legend><?php echo $lang['biographile_legend_1']; ?></legend>
							<div class="infldset txtarea">
										<label><textarea name="req_message" cols="60" rows="10" tabindex="1"><?php echo $user['biographie']; ?></textarea></label>
										<ul class="bblinks">
											<li><a href="help.php#bbcode" onclick="window.open(this.href); return false;"><?php echo $lang_common['BBCode'] ?></a>: <?php echo ($pun_config['p_message_bbcode'] == '1') ? $lang_common['on'] : $lang_common['off']; ?></li>
											<li><a href="help.php#img" onclick="window.open(this.href); return false;"><?php echo $lang_common['img tag'] ?></a>: <?php echo ($pun_config['p_message_img_tag'] == '1') ? $lang_common['on'] : $lang_common['off']; ?></li>
											<li><a href="help.php#smilies" onclick="window.open(this.href); return false;"><?php echo $lang_common['Smilies'] ?></a>: <?php echo ($pun_config['o_smilies'] == '1') ? $lang_common['on'] : $lang_common['off']; ?></li>
										</ul>
							</div>
						</fieldset>
					</div>
					<div class="inform">
						<fieldset>
							<legend><?php echo $lang['biographile_legend_2']; ?></legend>
							<?php
							if($user['biographie'] != NULL)
							{
								require_once PUN_ROOT.'include/parser.php';
								echo parse_message($user['biographie'], ($pun_config['o_smilies'] == '1') ? 0 : 1);
							}
							else
								echo '<p>'.$lang['no_biographie'].'</p>';
							?>
						</fieldset>
					</div>
					<p><input type="submit" name="show_text" value="<?php echo $lang['biographile_submit']; ?>" tabindex="2" /></p>					
				</form>
			</div>
		</div>
	<?php
	}
}
// Sinon, c'est que le membre visite le profil d'un autre membre
else
{
	if($user['biographie'] != NULL)
	{
		require_once PUN_ROOT.'include/parser.php';
		echo parse_message($user['biographie'], ($pun_config['o_smilies'] == '1') ? 0 : 1);
	}
	else
		echo '<p>'.$lang['no_biographie'].'</p>';
}

// Note that the script just ends here. The footer will be included by profil.php.
